#!/usr/bin/env python
# -*- coding: utf-8 -*-

import json
import os
import sys
import hashlib

'''
dirs_old: 表示上一次从git上拉取下来的nginx配置文件
dirs_now: 表示目前在机器上的nginx配置文件
nginx的对比工作路径为：/diff_nginx_conf/
'''

def diff_nginx_conf(dirs_old,dirs_now,dirs_old_version,dirs_now_version):
    os.system("cd %s;find ./ -type f | xargs md5sum > %s" % (dirs_old, dirs_old_version))
    os.system("cd %s;find ./ -type f | xargs md5sum > %s" % (dirs_now, dirs_now_version))
    f1 = open(dirs_old_version, 'r')
    f2 = open(dirs_now_version, 'r')
    text1 = []
    text2 = []
    for line in f1.readlines():
        text1.append(line)
    for line in f2.readlines():
        text2.append(line)

    tmp = set(text2) - set(text1)
    tmp2 = set(text1) - set(text2)

    return tmp | tmp2



def main():

    dirs_old = "/diff_nginx_conf/old_nginx_conf"
    dirs_now = "/diff_nginx_conf/now_nginx_conf"
    dirs_old_version = "/diff_nginx_conf/Version_1"
    dirs_now_version = "/diff_nginx_conf/Version_2"

    os.system("rm %s" % (dirs_old_version))
    os.system("rm %s" % (dirs_now_version))

    description = ''

    if diff_nginx_conf(dirs_old, dirs_now, dirs_old_version, dirs_now_version):
        for i in diff_nginx_conf(dirs_old, dirs_now, dirs_old_version, dirs_now_version):
            description = description + "\n" + i.replace("\n", "").split(' ', 1)[1]
        description = "Description: Under nginx conf changed" + description
        print(description)
main()
