## generator使用说明

建议：
	下发oid任务时，使用 `./generator all` 命令。
	主动采集时，使用 `./generator generate` 命令。

1. generator.yml详解

   ```yaml
   modules:
     if_mib:  # The module name. You can have as many modules as you want.
       walk:       # List of OIDs to walk. Can also be SNMP object names or specific instances.
         - 1.3.6.1.2.1.2              # Same as "interfaces"
         - sysUpTime                  # Same as "1.3.6.1.2.1.1.3"
         - 1.3.6.1.2.1.31.1.1.1.6.40  # Instance of "ifHCInOctets" with index "40"
   ```
   
   - **walk**
     指定要查询的oid，generator会以walk形式对配置的oid进⾏解析，转换成对应的实际walk或get，会根据当前walk节点取节点下所有oid
   
2. 使用generator生成配置文件

   ```shell
   export MIBDIRS=mibs
   ./generator generate
   ```

   其中 `MIBDIRS` 指向 mib 文件存放路径，可以使用相对或绝对路径。

   将 generator.yml 放在 generator同级目录中。使用命令生成 snmp.yml

   

   参考资料：https://github.com/prometheus/snmp_exporter/tree/master/generator

   
   
3. 根据oid获取所有翻译

   对于trap，有更多类型的oid需要进行翻译，所以增加命令 `./generator all` 生成所有oid以及翻译。

   ```shell
   export MIBDIRS=mibs
   ./generator all
   ```

其中 `MIBDIRS` 指向 mib 文件存放路径，可以使用相对或绝对路径。

此命令不受generator.yml配置文件影响，会输出所有oid以及翻译。

